Kerbal Space Program - Feedback #5283

Reset (at least some) autopilots to basic SAS when navball switches modes
07/28/2015 06:38 AM - Alchemist
Description

Sometimes navball switching (especially automatic) can change all the axis quite a bit. Maybe it would be better if
prograde/retrogrde, normal/antinormal and radial/antiradial modes were reset to hold attitude when that happens (not necessary for
target/antitarget and maneuver, of course).

My biggest concern is when | use prograde during ascent and it suddenly changes to target (which is in orbit, of course) mode
causing the craft to flip the other way around. But there can be many other scenarios where navball switching can do much harm.

History

#1 - 07/28/2015 01:56 PM - Squelch
Good point.

The autopilot does already revert to stability assist where there is likely to be a significant change in attitude. The same should be true for switches in
navball mode.

#2 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from New to Needs Clarification
#3 - 07/20/2016 09:45 AM - achurch

| can't speak for the bug author, but at least in the cases I've seen, this appears to be fixed in 1.1.3 in that the navball no longer automatically changes
modes while prograde is selected.
